Skip to main content
GET
List All Season Sets

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

in_season
string<datetime>
off_season
string<datetime>

Response

JSON A list array with a data property that contains an array of up to limit SeasonSet, starting after the specified starting_after SeasonSet (or ending before the specified ending_before SeasonSet). Each entry in the array is a full SeasonSet object. If no more SeasonSets are available, the resulting array will be empty. This request should never throw an error.\n A list of Accountt objects matching the query. Also:\n

  • "total_count": Integer count of the number of SeasonSets in the returned list.\n
  • "url": The query string provided in the request\n
  • "next": The route (partial URL) to the next SeasonSet object (string to select the "next"); included id should match that of the last object returned here\n
  • "previous": The route (partial URL) to the previous SeasonSet object \ (string to select the "previous"); included id should match that of the first object returned here
object
string
data
object

The SeasonSet object defines an array of seasons, with an identifier.

total_count
integer<int32>

Integer count of the number of SeasonSet objects in the returned list.

url
string

The query string provided in the request

next
string

The route (partial URL) to the next SeasonSet object (string to select the “next”); included id should match that of the last object returned here

previous
string

The route (partial URL) to the previous SeasonSet object (string to select the “previous”); included id should match that of the first object returned here

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"SeasonSet\", \"id\": \"seasonset_1\", \"vid\": \"416cb3f838cb43cc27dc7cfad8d0970ac6fba6e2\", \"created\": \"2022-09-01T09:04:41+00:00\", \"seasons\": { \"object\": \"List\", \"data\": [ { \"object\": \"Season\", \"description\": \"Yearly season subscription\", \"starts\": \"2022-12-31T00:00:00+00:00\", \"ends\": \"2023-01-06T00:00:00+00:00\" }, { \"object\": \"Season\", \"description\": \"Yearly season subscription\", \"starts\": \"2023-12-31T00:00:00+00:00\", \"ends\": \"2024-01-06T00:00:00+00:00\" } ], \"total_count\": 2 }, \"metadata\": { \"Season Program\": \"End of the Year Program\" } } ], \"total_count\": 2, \"url\": \"/season_sets?limit=1\", \"next\": \"/season_sets?limit=1&starting_after=seasonset_1\", \"previous\": \"/season_sets?limit=1&ending_before=seasonset_1\" }"